Skip to main content
`Ctrl`+`K`

# ISBlockRestoreIndices

Restores the indices associated with each block in an `ISBLOCK` obtained with `ISBlockGetIndices()`

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISBlockRestoreIndices(IS is, const PetscInt *idx[])

Not Collective

## Input Parameter

- is - the index set

## Output Parameter

- idx - the integer indices

## Fortran Note

      PetscInt, pointer :: idx(:)

## See Also

Low-level Vector Communication, `IS`, `ISBLOCK`, `ISRestoreIndices()`, `ISBlockGetIndices()`

## Level

intermediate

## Location

src/vec/is/is/impls/block/block.c

## Examples

src/vec/is/is/tutorials/ex3.c
src/vec/is/is/tutorials/ex3f90.F90

## Implementations

ISBlockRestoreIndices_Block() in src/vec/is/is/impls/block/block.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages